summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-images
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2010-07-10 16:38:02 +0000
committerKarl Berry <karl@freefriends.org>2010-07-10 16:38:02 +0000
commit9b197b895bd72c8db0dfde271ba5aac42dd73b0f (patch)
tree2e92ba1f6ea2c6218906366fd7d4d9192365c7e4 /Master/tlpkg/bin/tl-update-images
parent1fecc80c2ebc05db6fd1f72205a45e9bfe204560 (diff)
use GNU xorriso instead of schilling mkisofs.
git-svn-id: svn://tug.org/texlive/trunk@19349 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-images')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images50
1 files changed, 24 insertions, 26 deletions
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index f4e11c86128..9929747722a 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -1,8 +1,6 @@
#!/bin/sh -e
# $Id$
-#
-# Create the .iso file system images for TeX Live:
-# a) live: the complete uncompressed system (for DVD)
+# Create the .iso image(s) for TeX Live.
#
# Copyright 2007, 2008, 2009, 2010 Karl Berry.
# Copyright 2003, 2004, 2005 Sebastian Rahtz.
@@ -10,42 +8,29 @@
# This file is licensed under the GNU General Public License version 2
# or any later version.
#
-# In 2003, we also produced:
-# c) demo: live subset which can be run as is (CD)
-# but this was dropped in 2004.
-#
-# From 2004-2007, we also produced:
-# b) inst: compressed zip files and installer only (CD)
-# but this was dropped in 2008, and restored in a different form in 2010
-# for DVD.
-#
-# Until 2010, we also produced:
-# a) live: full live distribution which can be run as is (CD/DVD)
-# but this was dropped in 2010. TeX Live is no longer live. Oh well.
-#
# Send bug reports or suggestions to tex-live@tug.org.
-
-unset CDPATH # avoid output from cd
-umask 0
-renice +19 -p $$ >/dev/null 2>&1
-
-mydir=`cd \`dirname $0\` && /bin/pwd`
-cd $mydir || exit 1 # the Master/tlpkg/bin directory
-master=`cd ../.. && /bin/pwd`
-test -z "$master" && exit 1
+# Historical notes at the end of the script.
NAME=texlive
V=2010
D=`date +%Y%m%d`
target=/home/ftp/texlive/Images/test
+renice +19 -p $$ >/dev/null 2>&1
+umask 0
+unset CDPATH # avoid output from cd
XZ_OPT=-1; export XZ_OPT # compression level, -9 for slowest-but-most,
# which is not worth the time.
+mydir=`cd \`dirname $0\` && /bin/pwd`
+cd $mydir || exit 1 # the Master/tlpkg/bin directory
+master=`cd ../.. && /bin/pwd`
+test -z "$master" && exit 1
+
debug=${OVERRIDE_DEBUG-false}
makeinst=true
maketar=true
-mkisofs=mkisofs # "xorriso -as mkisofs"
+mkisofs="xorriso -read_mkisofsrc -as mkisofs" # mkisofs
quiet= # for passing to mkisofs
while test $# -gt 0; do
@@ -184,3 +169,16 @@ $maketar && MAKETAR
cp /tmp/tluirt.txt $master/release-texlive.txt
exit 0
+
+# Until 2010, we also produced:
+# live: full live distribution which can be run as is (CD/DVD)
+# but this was dropped in 2010. TeX Live is no longer live. Oh well.
+#
+# From 2004-2007, we produced:
+# inst: compressed zip files and installer only (CD)
+# but this was dropped in 2008, and restored in a different form in 2010
+# for DVD.
+#
+# In 2003, we produced:
+# demo: live subset which can be run as is (CD)
+# but this was dropped in 2004.